<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="#F4F5F9"
        android:orientation="vertical"
        app:layout_constraintTop_toTopOf="parent">

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:background="@color/white">

            <FrameLayout
                android:id="@+id/fl_back"
                android:layout_width="50dp"
                android:layout_height="50dp"
                tools:ignore="UselessParent">

                <ImageView
                    android:layout_width="17dp"
                    android:layout_height="17dp"
                    android:layout_gravity="center"
                    android:src="@drawable/iv_return"
                    tools:ignore="ContentDescription" />
            </FrameLayout>

            <TextView
                android:id="@+id/tv_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="Large File Cleaner"
                android:textColor="#000000"
                android:textSize="19sp"
                android:textStyle="bold"
                tools:ignore="HardcodedText" />

            <FrameLayout
                android:id="@+id/fl_search"
                android:layout_width="50dp"
                android:layout_height="50dp"
                android:layout_gravity="center_vertical|end"
                android:visibility="gone"
                tools:ignore="UselessParent">


            </FrameLayout>

        </FrameLayout>

        <LinearLayout
            android:id="@+id/ll_filter"
            android:layout_width="match_parent"
            android:layout_height="30dp"
            android:background="@color/white"
            android:baselineAligned="false"
            android:orientation="horizontal">

            <LinearLayout
                android:id="@+id/ll_type"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center"
                tools:ignore="UseCompoundDrawables,UselessParent">


                <TextView
                    android:id="@+id/tv_type"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:text="All type"
                    android:textColor="#333333"
                    tools:ignore="HardcodedText" />

                <ImageView
                    android:id="@+id/iv_triangle_type"
                    android:layout_width="10dp"
                    android:layout_height="6dp"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="8dp"
                    android:src="@drawable/triangle_down_999999"
                    tools:ignore="ContentDescription" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_size"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center"
                tools:ignore="UseCompoundDrawables,UselessParent">


                <TextView
                    android:id="@+id/tv_size"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:text="10 MB"
                    android:textColor="#333333"
                    tools:ignore="HardcodedText" />

                <ImageView
                    android:id="@+id/iv_triangle_size"
                    android:layout_width="10dp"
                    android:layout_height="6dp"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="8dp"
                    android:src="@drawable/triangle_down_999999"
                    tools:ignore="ContentDescription" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_time"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center"
                tools:ignore="UseCompoundDrawables,UselessParent">

                <TextView
                    android:id="@+id/tv_time"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:text="All times"
                    android:textColor="#333333"
                    tools:ignore="HardcodedText" />

                <ImageView
                    android:id="@+id/iv_triangle_time"
                    android:layout_width="10dp"
                    android:layout_height="6dp"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="8dp"
                    android:src="@drawable/triangle_down_999999"
                    tools:ignore="ContentDescription" />

            </LinearLayout>

        </LinearLayout>

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginTop="10dp"
            android:layout_weight="1"
            android:background="@color/white">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                tools:listitem="@layout/item_large_file" />

            <!--suppress AndroidElementNotAllowed -->
            <ProgressBar
                android:id="@+id/progressbar"
                android:layout_width="50dp"
                android:layout_height="50dp"
                android:layout_gravity="center"
                android:indeterminateTint="#0066FD" />

            <ImageView
                android:id="@+id/iv_empty"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:src="@mipmap/wr_79"
                android:visibility="gone"
                tools:ignore="ContentDescription" />

        </FrameLayout>

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/white">

            <TextView
                android:id="@+id/tv_delete"
                android:layout_width="match_parent"
                android:layout_height="52dp"
                android:layout_marginHorizontal="40dp"
                android:layout_marginTop="8dp"
                android:layout_marginBottom="30dp"
                android:background="@drawable/bg_corners_bfbfbf_26"
                android:enabled="false"
                android:gravity="center"
                android:text="@string/delete"
                android:textColor="@color/white"
                android:textSize="18sp"
                android:textStyle="bold" />
        </FrameLayout>
    </LinearLayout>


    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/ll_lottie"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:background="@color/white"
        android:gravity="center"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toTopOf="parent">


        <com.airbnb.lottie.LottieAnimationView
            android:id="@+id/lottie"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginHorizontal="60dp"
            android:adjustViewBounds="true"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintDimensionRatio="1:1"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.35"
            app:lottie_autoPlay="true"
            app:lottie_loop="true"
            app:lottie_rawRes="@raw/new_lottie_large_file" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="40dp"
            android:gravity="center"
            android:text="Scan large file\n..."
            android:textColor="@color/black"
            android:textSize="19sp"
            android:textStyle="bold"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/lottie"
            tools:ignore="HardcodedText" />


    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>